Fabrication CADmep Forum
Welcome to Autodesk’s Fabrication CADmep Forums. Share your knowledge, ask questions, and explore popular Fabrication CADmep topics.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

X Command with LISP

1 REPLY 1
Reply
Message 1 of 2
davidronson
360 Views, 1 Reply

X Command with LISP

Can the X commands not be handles in LISP like regular commands? I want to use "xctext"

 

Works

 

;CTEXT TEXT
(defun c:abc ()
  (CTEXT "Notes")
    )
;-defun

 Does not Work...

;CTEXT TEXT
(defun c:abc ()
  (XCTEXT "Notes")
    )
;-defun

 Neither does...

;CTEXT TEXT
(defun c:abc ()
  (command "XCTEXT" "Notes")
    )
;-defun

 Is there a different way to handle this in LISP?

______________________________________________
Don't forget to "Accept As Solution" and "Give Kudos" when an acceptable solution has been given.
|| LinkedIn || LinkedIn Fabrication Group ||
1 REPLY 1
Message 2 of 2
cadman_ics
in reply to: davidronson

David,

 

The X commands can be called from lisp.

But keep in mind the X commands are to extract text from an xref into paper space, they are not to turn on text that isn't there.

 

I think there are two problems here.

First is, you are trying to supply an argument that it cannot except: "Notes".

Second is, I found that XCTEXT only seems to work if the ctext has been applied to an object in the drawing already. (the report has to be defined in the drawing).

 

This works:

(defun c:abc ()
  (command "XCTEXT")
)

 

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report